commit:     ad924e9c8fd9183b84474c2811e534f5dbaca3ba
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 22:38:17 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 22:38:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad924e9c

dev-util/poke: make USE=static-libs optional

Reported-by: Agostino Sarubbo
Closes: https://bugs.gentoo.org/773121
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-util/poke/poke-1.0.ebuild | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/dev-util/poke/poke-1.0.ebuild b/dev-util/poke/poke-1.0.ebuild
index 216d65013db..0397a46a239 100644
--- a/dev-util/poke/poke-1.0.ebuild
+++ b/dev-util/poke/poke-1.0.ebuild
@@ -11,7 +11,7 @@ KEYWORDS="~amd64 ~x86"
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="machine-interface nls test"
+IUSE="machine-interface nls static-libs test"
 
 RESTRICT="!test? ( test )"
 
@@ -38,5 +38,14 @@ src_configure() {
                --disable-gui \
                --disable-libnbd \
                $(use_enable machine-interface mi) \
-               $(use_enable nls)
+               $(use_enable nls) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
 }

Reply via email to